Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_SESSION_INFO

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_SESSION_INFO

public class CK_SESSION_INFO
extends java.lang.Object

class CK_SESSION_INFO provides information about a session.

PKCS#11 structure:

     typedef struct CK_SESSION_INFO {
       CK_SLOT_ID slotID;
       CK_STATE state;
       CK_FLAGS flags;
       CK_ULONG ulDeviceError;
     } CK_SESSION_INFO;

Author:
  Karl Scheibelhofer , Martin Schl??ffer

Field Summary
`long` | `flags` PKCS#11:
`long` | `slotID` PKCS#11:
`long` | `state` PKCS#11:
`long` | `ulDeviceError` PKCS#11:

Constructor Summary
`CK_SESSION_INFO()`

Method Summary
`java.lang.String` | `toString()` Returns the string representation of CK_SESSION_INFO.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### slotID

    public long slotID

  PKCS#11:

         CK_SLOT_ID slotID;

### state

    public long state

  PKCS#11:

         CK_STATE state;

### flags

    public long flags

  PKCS#11:

         CK_FLAGS flags;

### ulDeviceError

    public long ulDeviceError

  PKCS#11:

         CK_ULONG ulDeviceError;

Constructor Detail

### CK_SESSION_INFO

    public CK_SESSION_INFO()

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of CK_SESSION_INFO.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_SESSION_INFO

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18